package com.inkasso.factoring.creditmanagement.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

/**
 * <p>
 * 近两年财务报表 历史
 * </p>
 *
 * @author liutao
 * @since 2023-12-01
 */
@TableName("c_corporate_finance_history")
public class CCorporateFinanceHistory {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 企业信息id
     */
    @TableField("c_enterprise_history_id")
    private Long cEnterpriseHistoryId;

    /**
     * 报表类型
     */
    @TableField("type")
    private String type;

    /**
     * 报表年月
     */
    @TableField("date")
    private Date date;

    /**
     * 身份证号码
     */
    @TableField("amount_Unit")
    private String amountUnit;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getcEnterpriseHistoryId() {
        return cEnterpriseHistoryId;
    }

    public void setcEnterpriseHistoryId(Long cEnterpriseHistoryId) {
        this.cEnterpriseHistoryId = cEnterpriseHistoryId;
    }
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getAmountUnit() {
        return amountUnit;
    }

    public void setAmountUnit(String amountUnit) {
        this.amountUnit = amountUnit;
    }

    @Override
    public String toString() {
        return "CCorporateFinanceHistory{" +
            "cEnterpriseHistoryId=" + cEnterpriseHistoryId +
            ", type=" + type +
            ", date=" + date +
            ", amountUnit=" + amountUnit +
        "}";
    }
}
